## r-cran-readmzxmldata 2.7

=== DESCRIPTION ===
Package: readMzXmlData
Version: 2.7
Date: 2013-07-03
Title: Reads mass spectrometry data in mzXML format
Authors@R: person("Sebastian", "Gibb", role=c("aut", "cre"),
        email="mail@sebastiangibb.de")
Depends: R (>= 2.15.0)
Imports: base64enc, digest, XML
Suggests: MALDIquant (>= 1.0)
Description: Functions for reading mass spectrometry data in mzXML
        format.
License: GPL (>= 3)
URL: http://strimmerlab.org/software/maldiquant/
        https://github.com/sgibb/readMzXmlData/
BugReports: https://github.com/sgibb/readMzXmlData/issues/
LazyLoad: yes
Collate: 'attribute-functions.R' 'base64-functions.R'
        'grep-functions.R' 'mqReadMzXml-functions.R' 'package.R'
        'parseMzXml.R' 'readMzXmlDir-functions.R'
        'readMzXmlFile-functions.R' 'revfregexpr-functions.R'
Packaged: 2013-07-03 15:16:38 UTC; sebastian
Author: Sebastian Gibb [aut, cre]
Maintainer: Sebastian Gibb <mail@sebastiangibb.de>
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2013-07-03 17:44:42

=== debian/changelog ===
r-cran-readmzxmldata (2.7-1) unstable; urgency=low

  [ The Debichem Group ]
  * Initial release of the Debian packaging by Sebastian Gibb
    <sgibb.debian@gmail.com>. (Closes: #714884)

  [ Filippo Rusconi ]
  * Fixes to the Vcs fields of d/control to comply with the canonical
    style.
  
  * Upload.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 08 Jul 2013 16:06:12 +0200

=== debian/control ===
# DO NOT EDIT! This file is autogenerated by debian/rules:override_dh_clean.
# Use debian/control.in instead.

Source: r-cran-readmzxmldata
Section: gnu-r
Priority: optional
Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Build-Depends: debhelper (>= 9), r-base-dev (>= 2.15.0),
 r-cran-base64enc, r-cran-digest, r-cran-xml
Standards-Version: 3.9.4
Homepage: http://cran.r-project.org/web/packages/readMzXmlData/index.html
Vcs-Git: git://anonscm.debian.org/debichem/packages/r-cran-readmzxmldata.git
Vcs-Browser: http://anonscm.debian.org/git/debichem/packages/r-cran-readmzxmldata.git

Package: r-cran-readmzxmldata
Architecture: any
Suggests: r-cran-maldiquant
Depends: r-cran-base64enc, r-cran-digest, r-cran-xml, ${misc:Depends}, ${R:Depends}
Description: GNU R package to read mass spectrometry data in mzXML format
 The readMzXmlData package contains functions for reading
 mass spectrometry data in mzXML format.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-readbrukerflexdata package
# Copyright 2013 by Sebastian Gibb <sgibb.debian@gmail.com>

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

PACKAGE := $(shell dpkg-parsechangelog | sed -n 's/^Source: *//p')
CRANVERSION ?= $(shell uscan --no-conf --dehs | sed -n 's/.*<upstream-version>\([0-9.]\+\)<\/upstream-version>.*/\1/p')
RVERSION := $(shell grep "Depends: R" DESCRIPTION | sed 's/.*(\([><= 0-9.]\+\)).*/\1/')
RLIB := usr/lib/R/site-library

%:
	dh $@

override_dh_clean:
	dh_clean
	## autogenerate debian/control
	echo "# DO NOT EDIT! This file is autogenerated by debian/rules:override_dh_clean." > debian/control
	echo "# Use debian/control.in instead.\n" >> debian/control
	sed "s/@R_DEPENDS_VERSION@/${RVERSION}/" debian/control.in >> debian/control

override_dh_installchangelogs:
		dh_installchangelogs NEWS

override_dh_auto_install:
	## create target directory
	dh_installdirs ${RLIB}

	## use debian/${PACKAGE}.substvars to support debian/control ${R:Depends}
	echo "R:Depends=r-base-core (${RVERSION})" >> debian/${PACKAGE}.substvars

	## install r package
	MAKEFLAGS="CFLAGS+=${CFLAGS} CPPFLAGS+=${CPPFLAGS} LDFLAGS+=${LDFLAGS}" R CMD INSTALL --library=${CURDIR}/debian/${PACKAGE}/${RLIB} --clean .

get-orig-source:
	## download newest ${PACKAGE} from CRAN
	uscan --no-conf --force-download --no-symlink --destdir ../tarballs

## r-cran-readmzxmldata 2.8

=== DESCRIPTION ===
Package: readMzXmlData
Version: 2.8
Date: 2014-09-27
Title: Reads Mass Spectrometry Data in mzXML Format
Authors@R: person("Sebastian", "Gibb", role=c("aut", "cre"),
    email="mail@sebastiangibb.de")
Depends: R (>= 2.15.0)
Imports: base64enc, digest, XML
Description: Functions for reading mass spectrometry data in mzXML format.
License: GPL (>= 3)
URL: http://strimmerlab.org/software/maldiquant/
        https://github.com/sgibb/readMzXmlData/
BugReports: https://github.com/sgibb/readMzXmlData/issues/
LazyLoad: yes
Packaged: 2014-09-28 18:08:12 UTC; sebastian
Author: Sebastian Gibb [aut, cre]
Maintainer: Sebastian Gibb <mail@sebastiangibb.de>
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-09-28 20:43:48

=== debian/changelog ===
r-cran-readmzxmldata (2.8-1) unstable; urgency=low

  [ The Debichem Group ]
  * New upstream release.
  * debian/control.in: set Standards-Version to 3.9.5.

  [ Filippo Rusconi ] <lopippo@debian.org>
  * Upload.
  
 -- Filippo Rusconi <lopippo@debian.org>  Tue, 30 Sep 2014 09:47:16 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Uploaders: Filippo Rusconi <lopippo@debian.org>
 Build-Depends: debhelper (>= 9), r-base-dev (>= 2.15.0),
  r-cran-base64enc, r-cran-digest, r-cran-xml
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://cran.r-project.org/web/packages/readMzXmlData/index.html
 Vcs-Git: git://anonscm.debian.org/debichem/packages/r-cran-readmzxmldata.git
 Vcs-Browser: http://anonscm.debian.org/git/debichem/packages/r-cran-readmzxmldata.git

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/readMzXmlData_([\d\.]*).tar.gz

## r-cran-readmzxmldata 2.8.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: readMzXmlData
-Version: 2.8
-Date: 2014-09-27
+Version: 2.8.1
+Date: 2015-09-16
 Title: Reads Mass Spectrometry Data in mzXML Format
 Authors@R: person("Sebastian", "Gibb", role=c("aut", "cre"),
     email="mail@sebastiangibb.de")
@@ -12,9 +12,9 @@
         https://github.com/sgibb/readMzXmlData/
 BugReports: https://github.com/sgibb/readMzXmlData/issues/
 LazyLoad: yes
-Packaged: 2014-09-28 18:08:12 UTC; sebastian
+NeedsCompilation: no
+Packaged: 2015-09-16 08:08:30 UTC; sebastian
 Author: Sebastian Gibb [aut, cre]
 Maintainer: Sebastian Gibb <mail@sebastiangibb.de>
-NeedsCompilation: no
 Repository: CRAN
-Date/Publication: 2014-09-28 20:43:48
+Date/Publication: 2015-09-16 12:54:49

=== debian/changelog ===
r-cran-readmzxmldata (2.8.1-1build1) artful; urgency=medium

  * No-change rebuild to pick up r-api-3.4

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 27 Sep 2017 14:17:05 +0000

r-cran-readmzxmldata (2.8.1-1) unstable; urgency=low

  * Team upload

  [ Sebastian Gibb ]
  * New upstream release.
  * Replace own build script by a cdbs based one:
    - debian/control.in: removed.
    - debian/control: add cdbs to Build-Depends.
    - debian/rules: use cdbs based build script.
  * debian/copyright:
    - Change GPL-3 to GPL-3+.
    - Remove duplicated license text.
  * debian/control:
    - Set Standards-Version to 3.9.8.
    - Use secure canonical URL in Homepage.
    - Use secure https URLs in Vcs-Git and Vcs-Browser.

  [ Andreas Tille ]
  * cme fix dpkg-control
  * Convert to dh-r
  * Architecture: all
  * debhelper 10
  * d/watch: version=4
  * Update d/copyright

 -- Andreas Tille <tille@debian.org>  Mon, 12 Dec 2016 15:58:39 +0100

=== debian/control ===
Source: r-cran-readmzxmldata
Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r,
               r-base-dev,
               r-cran-base64enc,
               r-cran-digest,
               r-cran-xml
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debichem/packages/r-cran-readmzxmldata.git
Vcs-Git: https://anonscm.debian.org/git/debichem/packages/r-cran-readmzxmldata.git
Homepage: https://cran.r-project.org/package=readMzXmlData

Package: r-cran-readmzxmldata
Architecture: any
Depends: ${misc:Depends},
         ${R:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R package to read mass spectrometry data in mzXML format
 The readMzXmlData package contains functions for reading
 mass spectrometry data in mzXML format.

=== debian/watch ===
version=4
http://cran.r-project.org/src/contrib/readMzXmlData_([\d\.]*).tar.gz

## r-cran-readmzxmldata 2.8.2

=== DESCRIPTION ===
Package: readMzXmlData
Version: 2.8.2
Date: 2022-11-08
Title: Reads Mass Spectrometry Data in mzXML Format
Authors@R: person("Sebastian", "Gibb", role=c("aut", "cre"),
    email="mail@sebastiangibb.de")
Depends: R (>= 4.2.0)
Imports: base64enc, digest, XML
Description: Functions for reading mass spectrometry data in mzXML format.
License: GPL (>= 3)
URL: https://strimmerlab.github.io/software/maldiquant/
        https://github.com/sgibb/readMzXmlData/
BugReports: https://github.com/sgibb/readMzXmlData/issues/
LazyLoad: yes
RoxygenNote: 7.2.1
NeedsCompilation: no
Packaged: 2022-11-08 09:11:15 UTC; sebastian
Author: Sebastian Gibb [aut, cre]
Maintainer: Sebastian Gibb <mail@sebastiangibb.de>
Repository: CRAN
Date/Publication: 2022-11-08 10:40:02 UTC

=== debian/changelog ===
r-cran-readmzxmldata (2.8.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 11 Nov 2022 12:39:07 +0100

r-cran-readmzxmldata (2.8.1-4) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sat, 16 May 2020 22:12:55 +0200

r-cran-readmzxmldata (2.8.1-3) unstable; urgency=medium

  * Team upload.
  * Switch Architecture to all from any.
  * Standards-Version: 4.2.1.
  * Remove unnecessary get-orig-source target.

 -- Dylan Aïssi <daissi@debian.org>  Tue, 02 Oct 2018 22:56:38 +0200

r-cran-readmzxmldata (2.8.1-2) unstable; urgency=medium

  * Team upload.
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Thu, 21 Jun 2018 05:47:34 +0200

=== debian/control ===
Source: r-cran-readmzxmldata
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-readmzxmldata
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-readmzxmldata.git
Homepage: https://cran.r-project.org/package=readMzXmlData
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-base64enc,
               r-cran-digest,
               r-cran-xml
Testsuite: autopkgtest-pkg-r

Package: r-cran-readmzxmldata
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R package to read mass spectrometry data in mzXML format
 The readMzXmlData package contains functions for reading
 mass spectrometry data in mzXML format.

## r-cran-readmzxmldata 2.8.3

=== debian/changelog ===
r-cran-readmzxmldata (2.8.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Disable reprotest
  * Standards-Version: 4.6.2 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Tue, 12 Sep 2023 02:43:03 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-readmzxmldata
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-readmzxmldata.git
 Homepage: https://cran.r-project.org/package=readMzXmlData
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/readMzXmlData_([\d\.]*).tar.gz

## r-cran-readmzxmldata 2.8.4

=== debian/changelog ===
r-cran-readmzxmldata (2.8.4-1) unstable; urgency=medium

  * Team upload.
  [ Andreas Tille ]
  * Replace Filippo by myself as Uploader (Thank you Filippo for your
    work on this package)

  [ Charles Plessy ]
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 23 Feb 2026 14:39:36 +0900

=== debian/control ===
Source: r-cran-readmzxmldata
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-base64enc,
 r-cran-digest,
 r-cran-xml,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-readmzxmldata
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-readmzxmldata.git
Homepage: https://cran.r-project.org/package=readMzXmlData
Rules-Requires-Root: no

Package: r-cran-readmzxmldata
Architecture: all
Depends:
 ${R:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R package to read mass spectrometry data in mzXML format
 The readMzXmlData package contains functions for reading
 mass spectrometry data in mzXML format.
